Skip to content

Agents

The following endpoints outline how to manage agents.

Request chat completion by custom model ID

Operation path: POST /api/v2/genai/agents/fromCustomModel/{customModelId}/chat/

Authentication requirements: BearerAuth

Create a chat completion request for an agent using a custom model.

Body parameter

{
  "additionalProperties": true,
  "description": "Represents a chat completion request for an agent.",
  "properties": {
    "customModelVersionId": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The version ID of the custom model to use for the chat completion.",
      "title": "customModelVersionId"
    },
    "messages": {
      "description": "A list of messages comprising the conversation so far.",
      "items": {
        "additionalProperties": true,
        "description": "Represents a message in a chat conversation.",
        "properties": {
          "content": {
            "anyOf": [
              {
                "maxLength": 50000,
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "The contents of the message.",
            "title": "content"
          },
          "role": {
            "description": "The role of the author of this message.",
            "title": "role",
            "type": "string"
          }
        },
        "required": [
          "role"
        ],
        "title": "AgentMessage",
        "type": "object"
      },
      "title": "messages",
      "type": "array"
    },
    "model": {
      "anyOf": [
        {
          "maxLength": 5000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The model identifier to use for completion following OpenAI API notation.",
      "title": "model"
    },
    "tracingContext": {
      "anyOf": [
        {
          "description": "Represents a custom tracing context for a chat completion request.",
          "properties": {
            "attributes": {
              "anyOf": [
                {
                  "additionalProperties": {
                    "type": "string"
                  },
                  "type": "object"
                },
                {
                  "type": "null"
                }
              ],
              "description": "The attributes of the tracing context.",
              "title": "attributes"
            },
            "entityId": {
              "description": "The ID of the entity in context of which the agent request is performed. Should be an entity which user has access to.",
              "title": "entityId",
              "type": "string"
            },
            "entityType": {
              "description": "Type of an entity in context of which the agent request is performed.",
              "enum": [
                "deployment",
                "use_case"
              ],
              "title": "TracingContextEntityType",
              "type": "string"
            }
          },
          "required": [
            "entityId",
            "entityType",
            "attributes"
          ],
          "title": "AgentTracingContext",
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "description": "Optional tracing context for the chat completion request."
    }
  },
  "required": [
    "messages"
  ],
  "title": "AgentChatCompletionRequest",
  "type": "object"
}

Parameters

Name In Type Required Description
customModelId path string true The ID of a custom model to use for the chat completion.
body body AgentChatCompletionRequest true none

Example responses

202 Response

{}

Responses

Status Meaning Description Schema
202 Accepted Successful Response Inline
422 Unprocessable Entity Validation Error HTTPValidationErrorResponse

Response Schema

Obtain chat completion response by custom model ID

Operation path: GET /api/v2/genai/agents/fromCustomModel/{customModelId}/chat/{chatCompletionId}/

Authentication requirements: BearerAuth

Obtain chat completion response for a given chat completion ID.

Parameters

Name In Type Required Description
customModelId path string true The ID of a custom model to use for the chat completion.
chatCompletionId path string true The ID of a chat completion object.

Example responses

200 Response

{
  "additionalProperties": true,
  "description": "Chat completion response from an agent.",
  "properties": {
    "choices": {
      "anyOf": [
        {
          "items": {
            "additionalProperties": true,
            "description": "Represents a single choice in the chat completion response.",
            "properties": {
              "message": {
                "additionalProperties": true,
                "description": "Represents a message in a chat conversation.",
                "properties": {
                  "content": {
                    "anyOf": [
                      {
                        "maxLength": 50000,
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ],
                    "description": "The contents of the message.",
                    "title": "content"
                  },
                  "role": {
                    "description": "The role of the author of this message.",
                    "title": "role",
                    "type": "string"
                  }
                },
                "required": [
                  "role"
                ],
                "title": "AgentMessage",
                "type": "object"
              }
            },
            "required": [
              "message"
            ],
            "title": "AgentChoice",
            "type": "object"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "description": "A list of agent choices. Can be more than one. None when failed.",
      "title": "choices"
    },
    "errorDetails": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "Detailed error information if the chat completion failed.",
      "title": "errorDetails"
    },
    "errorMessage": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "Error message if the chat completion failed.",
      "title": "errorMessage"
    }
  },
  "title": "AgentChatCompletionResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Successful Response AgentChatCompletionResponse
422 Unprocessable Entity Validation Error HTTPValidationErrorResponse

List search studies by use case ID

Operation path: GET /api/v2/genai/syftrSearch/

Authentication requirements: BearerAuth

Return all search studies for the specified use case .

Parameters

Name In Type Required Description
useCaseId query string true Use case ID to retrieve search studies from.
offset query integer false Skip the specified number of search studies.
limit query integer false Retrieve only the specified number of search studies.
playgroundId query any false Playground ID associated with a search study.
search query any false Only retrieve the search studies with names matching the search query.
sort query any false Apply this sort order to the results.Valid options are 'name'.

Example responses

200 Response

{
  "description": "Paginated list of search studies.",
  "properties": {
    "count": {
      "description": "The number of records on this page.",
      "title": "count",
      "type": "integer"
    },
    "data": {
      "description": "The list of records.",
      "items": {
        "description": "API response object for search study retrieval.",
        "properties": {
          "allTrials": {
            "anyOf": [
              {
                "items": {
                  "description": "Represents a search trial from history.",
                  "properties": {
                    "llmBlueprintId": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ],
                      "description": "The correspondent blueprint ID.",
                      "title": "llmBlueprintId"
                    },
                    "searchParameters": {
                      "additionalProperties": true,
                      "description": "Search parameters of the point.",
                      "title": "searchParameters",
                      "type": "object"
                    },
                    "values": {
                      "description": "The resulting values of optimization objectives.",
                      "items": {
                        "type": "number"
                      },
                      "title": "values",
                      "type": "array"
                    },
                    "vectorDatabaseId": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ],
                      "description": "The correspondent vector database ID.",
                      "title": "vectorDatabaseId"
                    }
                  },
                  "required": [
                    "llmBlueprintId",
                    "vectorDatabaseId",
                    "values",
                    "searchParameters"
                  ],
                  "title": "HistoryPoint",
                  "type": "object"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "Trials history.",
            "title": "allTrials"
          },
          "datetimeEnd": {
            "anyOf": [
              {
                "format": "date-time",
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "Study end time.",
            "title": "datetimeEnd"
          },
          "datetimeStart": {
            "description": "Study start time.",
            "format": "date-time",
            "title": "datetimeStart",
            "type": "string"
          },
          "errorMessage": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "Error message if search study fails.",
            "title": "errorMessage"
          },
          "evalDatasetId": {
            "description": "The ID of the evaluation dataset.",
            "title": "evalDatasetId",
            "type": "string"
          },
          "evalDatasetName": {
            "description": "The name of evaluation dataset.",
            "title": "evalDatasetName",
            "type": "string"
          },
          "evalResults": {
            "anyOf": [
              {
                "items": {},
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "The results of the comparative evaluation of LLM blueprints.",
            "title": "evalResults"
          },
          "existingBlueprintIds": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "The IDs of existing LLM blueprints for comparative evaluation.",
            "title": "existingBlueprintIds"
          },
          "groundingDatasetId": {
            "description": "The ID of the dataset the vector databases will be built from.",
            "title": "groundingDatasetId",
            "type": "string"
          },
          "groundingDatasetName": {
            "description": "The name of the grouding dataset.",
            "title": "groundingDatasetName",
            "type": "string"
          },
          "jobId": {
            "anyOf": [
              {
                "format": "uuid4",
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "The ID of the worker job.",
            "title": "jobId"
          },
          "name": {
            "description": "Name of the search study.",
            "title": "name",
            "type": "string"
          },
          "numConcurrentTrials": {
            "description": "The number of simultaneously running trials.",
            "title": "numConcurrentTrials",
            "type": "integer"
          },
          "numTrials": {
            "description": "The number of search trials to sample.",
            "title": "numTrials",
            "type": "integer"
          },
          "optimizationObjectives": {
            "description": "Optimization objectives of a study.",
            "items": {
              "maxItems": 2,
              "minItems": 2,
              "prefixItems": [
                {
                  "description": "List of supported search objectives.",
                  "enum": [
                    "correctness",
                    "all_tokens"
                  ],
                  "title": "SearchObjective",
                  "type": "string"
                },
                {
                  "description": "Whether to minimize or maximize search objective.",
                  "enum": [
                    "maximize",
                    "minimize"
                  ],
                  "title": "SearchDirection",
                  "type": "string"
                }
              ],
              "type": "array"
            },
            "title": "optimizationObjectives",
            "type": "array"
          },
          "paretoFront": {
            "anyOf": [
              {
                "items": {},
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "Pareto frontier of a study.",
            "title": "paretoFront"
          },
          "playgroundId": {
            "description": "The ID of the existing playground that will be associated with the search.",
            "title": "playgroundId",
            "type": "string"
          },
          "searchSpace": {
            "anyOf": [
              {
                "description": "Represents full search space.",
                "properties": {
                  "chunkingParameters": {
                    "description": "Parameters of the text chunkers.",
                    "properties": {
                      "chunkOverlapPercentageMax": {
                        "default": 50,
                        "description": "Maximum value of chunk overlap.",
                        "title": "chunkOverlapPercentageMax",
                        "type": "number"
                      },
                      "chunkOverlapPercentageMin": {
                        "default": 0,
                        "description": "Minimum value of chunk overlap.",
                        "title": "chunkOverlapPercentageMin",
                        "type": "number"
                      },
                      "chunkOverlapPercentageStep": {
                        "default": 10,
                        "description": "Step value of chunk overlap.",
                        "title": "chunkOverlapPercentageStep",
                        "type": "number"
                      },
                      "chunkSizeMaxExp": {
                        "default": 8,
                        "description": "Maximum exponent for chunk size (2^8 = 256).",
                        "title": "chunkSizeMaxExp",
                        "type": "integer"
                      },
                      "chunkSizeMinExp": {
                        "default": 7,
                        "description": "Minimum exponent for chunk size (2^7 = 128).",
                        "title": "chunkSizeMinExp",
                        "type": "integer"
                      },
                      "chunkingMethods": {
                        "description": "List of chunking methods to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "chunkingMethods",
                        "type": "array"
                      },
                      "embeddingModelNames": {
                        "description": "List of embedding models to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "embeddingModelNames",
                        "type": "array"
                      }
                    },
                    "required": [
                      "embeddingModelNames"
                    ],
                    "title": "ChunkingParametersConfig",
                    "type": "object"
                  },
                  "llmConfig": {
                    "description": "Configuration of LLMs in the search space.",
                    "properties": {
                      "llmNames": {
                        "description": "List of LLM names to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "llmNames",
                        "type": "array"
                      },
                      "temperatureMax": {
                        "default": 1,
                        "description": "Maximum temperature of an LLM.",
                        "title": "temperatureMax",
                        "type": "number"
                      },
                      "temperatureMin": {
                        "default": 0,
                        "description": "Minimum temperature of an LLM.",
                        "title": "temperatureMin",
                        "type": "number"
                      },
                      "temperatureStep": {
                        "default": 0.05,
                        "description": "Step size for LLM temperature.",
                        "title": "temperatureStep",
                        "type": "number"
                      },
                      "topPMax": {
                        "default": 1,
                        "description": "Maximum top_p of an LLM.",
                        "title": "topPMax",
                        "type": "number"
                      },
                      "topPMin": {
                        "default": 0,
                        "description": "Minimum top_p of an LLM.",
                        "title": "topPMin",
                        "type": "number"
                      },
                      "topPStep": {
                        "default": 0.05,
                        "description": "Step size for LLM top_p.",
                        "title": "topPStep",
                        "type": "number"
                      }
                    },
                    "required": [
                      "llmNames"
                    ],
                    "title": "LLMConfig",
                    "type": "object"
                  },
                  "vectorDatabaseSettings": {
                    "description": "Settings of the vector database.",
                    "properties": {
                      "addNeighborChunks": {
                        "description": "Add neighboring chunks to those that the similarity search retrieves.",
                        "items": {
                          "type": "boolean"
                        },
                        "title": "addNeighborChunks",
                        "type": "array"
                      },
                      "maxDocumentRetrievedPerPromptMax": {
                        "default": 10,
                        "description": "Max value for the max number of chunks to retrieve from the vector database.",
                        "title": "maxDocumentRetrievedPerPromptMax",
                        "type": "integer"
                      },
                      "maxDocumentRetrievedPerPromptMin": {
                        "default": 1,
                        "description": "Min value for the max number of chunks to retrieve from the vector database.",
                        "title": "maxDocumentRetrievedPerPromptMin",
                        "type": "integer"
                      },
                      "maxDocumentRetrievedPerPromptStep": {
                        "default": 1,
                        "description": "Step for the max number of chunks to retrieve from the vector database.",
                        "title": "maxDocumentRetrievedPerPromptStep",
                        "type": "integer"
                      },
                      "maxMmrLambdaMax": {
                        "default": 1,
                        "description": "Maximum value of MMR lambda.",
                        "title": "maxMmrLambdaMax",
                        "type": "number"
                      },
                      "maxMmrLambdaMin": {
                        "default": 0,
                        "description": "Minimum value of MMR lambda.",
                        "title": "maxMmrLambdaMin",
                        "type": "number"
                      },
                      "maxMmrLambdaStep": {
                        "default": 0.1,
                        "description": "Step value of MMR lambda.",
                        "title": "maxMmrLambdaStep",
                        "type": "number"
                      },
                      "retrievalModes": {
                        "description": "List of retriever modes to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "retrievalModes",
                        "type": "array"
                      },
                      "retrievers": {
                        "description": "List of retriever types to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "retrievers",
                        "type": "array"
                      }
                    },
                    "required": [
                      "retrievers",
                      "retrievalModes"
                    ],
                    "title": "VectorDatabaseConfig",
                    "type": "object"
                  }
                },
                "title": "SearchSpace",
                "type": "object"
              },
              {
                "type": "null"
              }
            ],
            "description": "Search space for the search."
          },
          "searchStudyId": {
            "description": "The ID of the search study.",
            "title": "searchStudyId",
            "type": "string"
          },
          "studyStatus": {
            "description": "Represents a search study execution state.",
            "enum": [
              "RUNNING",
              "COMPLETED",
              "STOPPED",
              "FAILED"
            ],
            "title": "JobStatus",
            "type": "string"
          },
          "tempPlaygroundId": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "The ID of the temp playground.",
            "title": "tempPlaygroundId"
          },
          "trialsFailed": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "description": "The number of failed trials.",
            "title": "trialsFailed"
          },
          "trialsRunning": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "description": "The number of currently running trials.",
            "title": "trialsRunning"
          },
          "trialsSuccess": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "description": "The number of completed trials.",
            "title": "trialsSuccess"
          },
          "useCaseId": {
            "description": "The ID of the use case the search study is linked to.",
            "title": "useCaseId",
            "type": "string"
          },
          "userId": {
            "description": "The ID of the user.",
            "title": "userId",
            "type": "string"
          },
          "userName": {
            "description": "The user name of the user who ran the study.",
            "title": "userName",
            "type": "string"
          }
        },
        "required": [
          "searchSpace",
          "useCaseId",
          "groundingDatasetId",
          "evalDatasetId",
          "groundingDatasetName",
          "evalDatasetName",
          "userId",
          "userName",
          "numTrials",
          "numConcurrentTrials",
          "optimizationObjectives",
          "playgroundId",
          "tempPlaygroundId",
          "paretoFront",
          "datetimeStart",
          "datetimeEnd",
          "studyStatus",
          "searchStudyId",
          "name",
          "jobId",
          "trialsRunning",
          "trialsFailed",
          "trialsSuccess",
          "allTrials",
          "existingBlueprintIds",
          "evalResults",
          "errorMessage"
        ],
        "title": "SearchStudyResponse",
        "type": "object"
      },
      "title": "data",
      "type": "array"
    },
    "next": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The URL to the next page, or `null` if there is no such page.",
      "title": "next"
    },
    "previous": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The URL to the previous page, or `null` if there is no such page.",
      "title": "previous"
    },
    "totalCount": {
      "description": "The total number of records.",
      "title": "totalCount",
      "type": "integer"
    }
  },
  "required": [
    "totalCount",
    "count",
    "next",
    "previous",
    "data"
  ],
  "title": "ListSearchStudyResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Search studies has been successfully retrieved. ListSearchStudyResponse
422 Unprocessable Entity Validation Error HTTPValidationErrorResponse

Operation path: POST /api/v2/genai/syftrSearch/

Authentication requirements: BearerAuth

Run agentic search.

Body parameter

{
  "description": "API request for run agentic search request.",
  "properties": {
    "evalDatasetId": {
      "description": "The ID of the evaluation dataset.",
      "title": "evalDatasetId",
      "type": "string"
    },
    "groundingDatasetId": {
      "description": "The ID of the dataset the vector databases will be built from.",
      "title": "groundingDatasetId",
      "type": "string"
    },
    "name": {
      "description": "Name of the search study.",
      "title": "name",
      "type": "string"
    },
    "numConcurrentTrials": {
      "description": "The number of simultaneously running trials.",
      "title": "numConcurrentTrials",
      "type": "integer"
    },
    "numTrials": {
      "description": "The number of search trials to sample.",
      "title": "numTrials",
      "type": "integer"
    },
    "optimizationObjectives": {
      "description": "Optimization objectives of a study.",
      "items": {
        "maxItems": 2,
        "minItems": 2,
        "prefixItems": [
          {
            "description": "List of supported search objectives.",
            "enum": [
              "correctness",
              "all_tokens"
            ],
            "title": "SearchObjective",
            "type": "string"
          },
          {
            "description": "Whether to minimize or maximize search objective.",
            "enum": [
              "maximize",
              "minimize"
            ],
            "title": "SearchDirection",
            "type": "string"
          }
        ],
        "type": "array"
      },
      "title": "optimizationObjectives",
      "type": "array"
    },
    "playgroundId": {
      "description": "The ID of the existing playground that will be associated with the search.",
      "title": "playgroundId",
      "type": "string"
    },
    "searchSpace": {
      "description": "Represents full search space.",
      "properties": {
        "chunkingParameters": {
          "description": "Parameters of the text chunkers.",
          "properties": {
            "chunkOverlapPercentageMax": {
              "default": 50,
              "description": "Maximum value of chunk overlap.",
              "title": "chunkOverlapPercentageMax",
              "type": "number"
            },
            "chunkOverlapPercentageMin": {
              "default": 0,
              "description": "Minimum value of chunk overlap.",
              "title": "chunkOverlapPercentageMin",
              "type": "number"
            },
            "chunkOverlapPercentageStep": {
              "default": 10,
              "description": "Step value of chunk overlap.",
              "title": "chunkOverlapPercentageStep",
              "type": "number"
            },
            "chunkSizeMaxExp": {
              "default": 8,
              "description": "Maximum exponent for chunk size (2^8 = 256).",
              "title": "chunkSizeMaxExp",
              "type": "integer"
            },
            "chunkSizeMinExp": {
              "default": 7,
              "description": "Minimum exponent for chunk size (2^7 = 128).",
              "title": "chunkSizeMinExp",
              "type": "integer"
            },
            "chunkingMethods": {
              "description": "List of chunking methods to use.",
              "items": {
                "type": "string"
              },
              "title": "chunkingMethods",
              "type": "array"
            },
            "embeddingModelNames": {
              "description": "List of embedding models to use.",
              "items": {
                "type": "string"
              },
              "title": "embeddingModelNames",
              "type": "array"
            }
          },
          "required": [
            "embeddingModelNames"
          ],
          "title": "ChunkingParametersConfig",
          "type": "object"
        },
        "llmConfig": {
          "description": "Configuration of LLMs in the search space.",
          "properties": {
            "llmNames": {
              "description": "List of LLM names to use.",
              "items": {
                "type": "string"
              },
              "title": "llmNames",
              "type": "array"
            },
            "temperatureMax": {
              "default": 1,
              "description": "Maximum temperature of an LLM.",
              "title": "temperatureMax",
              "type": "number"
            },
            "temperatureMin": {
              "default": 0,
              "description": "Minimum temperature of an LLM.",
              "title": "temperatureMin",
              "type": "number"
            },
            "temperatureStep": {
              "default": 0.05,
              "description": "Step size for LLM temperature.",
              "title": "temperatureStep",
              "type": "number"
            },
            "topPMax": {
              "default": 1,
              "description": "Maximum top_p of an LLM.",
              "title": "topPMax",
              "type": "number"
            },
            "topPMin": {
              "default": 0,
              "description": "Minimum top_p of an LLM.",
              "title": "topPMin",
              "type": "number"
            },
            "topPStep": {
              "default": 0.05,
              "description": "Step size for LLM top_p.",
              "title": "topPStep",
              "type": "number"
            }
          },
          "required": [
            "llmNames"
          ],
          "title": "LLMConfig",
          "type": "object"
        },
        "vectorDatabaseSettings": {
          "description": "Settings of the vector database.",
          "properties": {
            "addNeighborChunks": {
              "description": "Add neighboring chunks to those that the similarity search retrieves.",
              "items": {
                "type": "boolean"
              },
              "title": "addNeighborChunks",
              "type": "array"
            },
            "maxDocumentRetrievedPerPromptMax": {
              "default": 10,
              "description": "Max value for the max number of chunks to retrieve from the vector database.",
              "title": "maxDocumentRetrievedPerPromptMax",
              "type": "integer"
            },
            "maxDocumentRetrievedPerPromptMin": {
              "default": 1,
              "description": "Min value for the max number of chunks to retrieve from the vector database.",
              "title": "maxDocumentRetrievedPerPromptMin",
              "type": "integer"
            },
            "maxDocumentRetrievedPerPromptStep": {
              "default": 1,
              "description": "Step for the max number of chunks to retrieve from the vector database.",
              "title": "maxDocumentRetrievedPerPromptStep",
              "type": "integer"
            },
            "maxMmrLambdaMax": {
              "default": 1,
              "description": "Maximum value of MMR lambda.",
              "title": "maxMmrLambdaMax",
              "type": "number"
            },
            "maxMmrLambdaMin": {
              "default": 0,
              "description": "Minimum value of MMR lambda.",
              "title": "maxMmrLambdaMin",
              "type": "number"
            },
            "maxMmrLambdaStep": {
              "default": 0.1,
              "description": "Step value of MMR lambda.",
              "title": "maxMmrLambdaStep",
              "type": "number"
            },
            "retrievalModes": {
              "description": "List of retriever modes to use.",
              "items": {
                "type": "string"
              },
              "title": "retrievalModes",
              "type": "array"
            },
            "retrievers": {
              "description": "List of retriever types to use.",
              "items": {
                "type": "string"
              },
              "title": "retrievers",
              "type": "array"
            }
          },
          "required": [
            "retrievers",
            "retrievalModes"
          ],
          "title": "VectorDatabaseConfig",
          "type": "object"
        }
      },
      "title": "SearchSpace",
      "type": "object"
    },
    "useCaseId": {
      "description": "The ID of the use case the search study is linked to.",
      "title": "useCaseId",
      "type": "string"
    }
  },
  "required": [
    "useCaseId",
    "playgroundId",
    "groundingDatasetId",
    "evalDatasetId",
    "numTrials",
    "numConcurrentTrials",
    "optimizationObjectives",
    "searchSpace",
    "name"
  ],
  "title": "RunAgenticSearchRequest",
  "type": "object"
}

Parameters

Name In Type Required Description
body body RunAgenticSearchRequest true none

Example responses

202 Response

{
  "description": "API response object for run agentic search request.",
  "properties": {
    "jobId": {
      "description": "The ID of the worker job.",
      "format": "uuid4",
      "title": "jobId",
      "type": "string"
    },
    "searchStudyId": {
      "description": "The ID of the search study.",
      "title": "searchStudyId",
      "type": "string"
    }
  },
  "required": [
    "searchStudyId",
    "jobId"
  ],
  "title": "RunSearchApiResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
202 Accepted Agentic search job successfully accepted. Follow the Location header to poll for job execution status. RunSearchApiResponse
422 Unprocessable Entity Validation Error HTTPValidationErrorResponse

Delete existing search study by ID by search study ID

Operation path: DELETE /api/v2/genai/syftrSearch/{searchStudyId}/

Authentication requirements: BearerAuth

Delete existing search study object from the database.

Parameters

Name In Type Required Description
searchStudyId path string true The ID of the search study to be retrieved.

Example responses

202 Response

{
  "description": "API response for the deletion of a search study.",
  "properties": {
    "jobId": {
      "description": "The ID of the worker job.",
      "format": "uuid4",
      "title": "jobId",
      "type": "string"
    },
    "searchStudyId": {
      "description": "The ID of the search study.",
      "title": "searchStudyId",
      "type": "string"
    }
  },
  "required": [
    "searchStudyId",
    "jobId"
  ],
  "title": "DeleteSearchApiResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
202 Accepted Search study has been successfully deleted. DeleteSearchApiResponse
422 Unprocessable Entity Validation Error HTTPValidationErrorResponse

Get existing search study by ID by search study ID

Operation path: GET /api/v2/genai/syftrSearch/{searchStudyId}/

Authentication requirements: BearerAuth

Return existing search study object from the database.

Parameters

Name In Type Required Description
searchStudyId path string true The ID of the search study to be retrieved.

Example responses

200 Response

{
  "description": "API response object for search study retrieval.",
  "properties": {
    "allTrials": {
      "anyOf": [
        {
          "items": {
            "description": "Represents a search trial from history.",
            "properties": {
              "llmBlueprintId": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ],
                "description": "The correspondent blueprint ID.",
                "title": "llmBlueprintId"
              },
              "searchParameters": {
                "additionalProperties": true,
                "description": "Search parameters of the point.",
                "title": "searchParameters",
                "type": "object"
              },
              "values": {
                "description": "The resulting values of optimization objectives.",
                "items": {
                  "type": "number"
                },
                "title": "values",
                "type": "array"
              },
              "vectorDatabaseId": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ],
                "description": "The correspondent vector database ID.",
                "title": "vectorDatabaseId"
              }
            },
            "required": [
              "llmBlueprintId",
              "vectorDatabaseId",
              "values",
              "searchParameters"
            ],
            "title": "HistoryPoint",
            "type": "object"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "description": "Trials history.",
      "title": "allTrials"
    },
    "datetimeEnd": {
      "anyOf": [
        {
          "format": "date-time",
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "Study end time.",
      "title": "datetimeEnd"
    },
    "datetimeStart": {
      "description": "Study start time.",
      "format": "date-time",
      "title": "datetimeStart",
      "type": "string"
    },
    "errorMessage": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "Error message if search study fails.",
      "title": "errorMessage"
    },
    "evalDatasetId": {
      "description": "The ID of the evaluation dataset.",
      "title": "evalDatasetId",
      "type": "string"
    },
    "evalDatasetName": {
      "description": "The name of evaluation dataset.",
      "title": "evalDatasetName",
      "type": "string"
    },
    "evalResults": {
      "anyOf": [
        {
          "items": {},
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "description": "The results of the comparative evaluation of LLM blueprints.",
      "title": "evalResults"
    },
    "existingBlueprintIds": {
      "anyOf": [
        {
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "description": "The IDs of existing LLM blueprints for comparative evaluation.",
      "title": "existingBlueprintIds"
    },
    "groundingDatasetId": {
      "description": "The ID of the dataset the vector databases will be built from.",
      "title": "groundingDatasetId",
      "type": "string"
    },
    "groundingDatasetName": {
      "description": "The name of the grouding dataset.",
      "title": "groundingDatasetName",
      "type": "string"
    },
    "jobId": {
      "anyOf": [
        {
          "format": "uuid4",
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The ID of the worker job.",
      "title": "jobId"
    },
    "name": {
      "description": "Name of the search study.",
      "title": "name",
      "type": "string"
    },
    "numConcurrentTrials": {
      "description": "The number of simultaneously running trials.",
      "title": "numConcurrentTrials",
      "type": "integer"
    },
    "numTrials": {
      "description": "The number of search trials to sample.",
      "title": "numTrials",
      "type": "integer"
    },
    "optimizationObjectives": {
      "description": "Optimization objectives of a study.",
      "items": {
        "maxItems": 2,
        "minItems": 2,
        "prefixItems": [
          {
            "description": "List of supported search objectives.",
            "enum": [
              "correctness",
              "all_tokens"
            ],
            "title": "SearchObjective",
            "type": "string"
          },
          {
            "description": "Whether to minimize or maximize search objective.",
            "enum": [
              "maximize",
              "minimize"
            ],
            "title": "SearchDirection",
            "type": "string"
          }
        ],
        "type": "array"
      },
      "title": "optimizationObjectives",
      "type": "array"
    },
    "paretoFront": {
      "anyOf": [
        {
          "items": {},
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "description": "Pareto frontier of a study.",
      "title": "paretoFront"
    },
    "playgroundId": {
      "description": "The ID of the existing playground that will be associated with the search.",
      "title": "playgroundId",
      "type": "string"
    },
    "searchSpace": {
      "anyOf": [
        {
          "description": "Represents full search space.",
          "properties": {
            "chunkingParameters": {
              "description": "Parameters of the text chunkers.",
              "properties": {
                "chunkOverlapPercentageMax": {
                  "default": 50,
                  "description": "Maximum value of chunk overlap.",
                  "title": "chunkOverlapPercentageMax",
                  "type": "number"
                },
                "chunkOverlapPercentageMin": {
                  "default": 0,
                  "description": "Minimum value of chunk overlap.",
                  "title": "chunkOverlapPercentageMin",
                  "type": "number"
                },
                "chunkOverlapPercentageStep": {
                  "default": 10,
                  "description": "Step value of chunk overlap.",
                  "title": "chunkOverlapPercentageStep",
                  "type": "number"
                },
                "chunkSizeMaxExp": {
                  "default": 8,
                  "description": "Maximum exponent for chunk size (2^8 = 256).",
                  "title": "chunkSizeMaxExp",
                  "type": "integer"
                },
                "chunkSizeMinExp": {
                  "default": 7,
                  "description": "Minimum exponent for chunk size (2^7 = 128).",
                  "title": "chunkSizeMinExp",
                  "type": "integer"
                },
                "chunkingMethods": {
                  "description": "List of chunking methods to use.",
                  "items": {
                    "type": "string"
                  },
                  "title": "chunkingMethods",
                  "type": "array"
                },
                "embeddingModelNames": {
                  "description": "List of embedding models to use.",
                  "items": {
                    "type": "string"
                  },
                  "title": "embeddingModelNames",
                  "type": "array"
                }
              },
              "required": [
                "embeddingModelNames"
              ],
              "title": "ChunkingParametersConfig",
              "type": "object"
            },
            "llmConfig": {
              "description": "Configuration of LLMs in the search space.",
              "properties": {
                "llmNames": {
                  "description": "List of LLM names to use.",
                  "items": {
                    "type": "string"
                  },
                  "title": "llmNames",
                  "type": "array"
                },
                "temperatureMax": {
                  "default": 1,
                  "description": "Maximum temperature of an LLM.",
                  "title": "temperatureMax",
                  "type": "number"
                },
                "temperatureMin": {
                  "default": 0,
                  "description": "Minimum temperature of an LLM.",
                  "title": "temperatureMin",
                  "type": "number"
                },
                "temperatureStep": {
                  "default": 0.05,
                  "description": "Step size for LLM temperature.",
                  "title": "temperatureStep",
                  "type": "number"
                },
                "topPMax": {
                  "default": 1,
                  "description": "Maximum top_p of an LLM.",
                  "title": "topPMax",
                  "type": "number"
                },
                "topPMin": {
                  "default": 0,
                  "description": "Minimum top_p of an LLM.",
                  "title": "topPMin",
                  "type": "number"
                },
                "topPStep": {
                  "default": 0.05,
                  "description": "Step size for LLM top_p.",
                  "title": "topPStep",
                  "type": "number"
                }
              },
              "required": [
                "llmNames"
              ],
              "title": "LLMConfig",
              "type": "object"
            },
            "vectorDatabaseSettings": {
              "description": "Settings of the vector database.",
              "properties": {
                "addNeighborChunks": {
                  "description": "Add neighboring chunks to those that the similarity search retrieves.",
                  "items": {
                    "type": "boolean"
                  },
                  "title": "addNeighborChunks",
                  "type": "array"
                },
                "maxDocumentRetrievedPerPromptMax": {
                  "default": 10,
                  "description": "Max value for the max number of chunks to retrieve from the vector database.",
                  "title": "maxDocumentRetrievedPerPromptMax",
                  "type": "integer"
                },
                "maxDocumentRetrievedPerPromptMin": {
                  "default": 1,
                  "description": "Min value for the max number of chunks to retrieve from the vector database.",
                  "title": "maxDocumentRetrievedPerPromptMin",
                  "type": "integer"
                },
                "maxDocumentRetrievedPerPromptStep": {
                  "default": 1,
                  "description": "Step for the max number of chunks to retrieve from the vector database.",
                  "title": "maxDocumentRetrievedPerPromptStep",
                  "type": "integer"
                },
                "maxMmrLambdaMax": {
                  "default": 1,
                  "description": "Maximum value of MMR lambda.",
                  "title": "maxMmrLambdaMax",
                  "type": "number"
                },
                "maxMmrLambdaMin": {
                  "default": 0,
                  "description": "Minimum value of MMR lambda.",
                  "title": "maxMmrLambdaMin",
                  "type": "number"
                },
                "maxMmrLambdaStep": {
                  "default": 0.1,
                  "description": "Step value of MMR lambda.",
                  "title": "maxMmrLambdaStep",
                  "type": "number"
                },
                "retrievalModes": {
                  "description": "List of retriever modes to use.",
                  "items": {
                    "type": "string"
                  },
                  "title": "retrievalModes",
                  "type": "array"
                },
                "retrievers": {
                  "description": "List of retriever types to use.",
                  "items": {
                    "type": "string"
                  },
                  "title": "retrievers",
                  "type": "array"
                }
              },
              "required": [
                "retrievers",
                "retrievalModes"
              ],
              "title": "VectorDatabaseConfig",
              "type": "object"
            }
          },
          "title": "SearchSpace",
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "description": "Search space for the search."
    },
    "searchStudyId": {
      "description": "The ID of the search study.",
      "title": "searchStudyId",
      "type": "string"
    },
    "studyStatus": {
      "description": "Represents a search study execution state.",
      "enum": [
        "RUNNING",
        "COMPLETED",
        "STOPPED",
        "FAILED"
      ],
      "title": "JobStatus",
      "type": "string"
    },
    "tempPlaygroundId": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The ID of the temp playground.",
      "title": "tempPlaygroundId"
    },
    "trialsFailed": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "description": "The number of failed trials.",
      "title": "trialsFailed"
    },
    "trialsRunning": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "description": "The number of currently running trials.",
      "title": "trialsRunning"
    },
    "trialsSuccess": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "description": "The number of completed trials.",
      "title": "trialsSuccess"
    },
    "useCaseId": {
      "description": "The ID of the use case the search study is linked to.",
      "title": "useCaseId",
      "type": "string"
    },
    "userId": {
      "description": "The ID of the user.",
      "title": "userId",
      "type": "string"
    },
    "userName": {
      "description": "The user name of the user who ran the study.",
      "title": "userName",
      "type": "string"
    }
  },
  "required": [
    "searchSpace",
    "useCaseId",
    "groundingDatasetId",
    "evalDatasetId",
    "groundingDatasetName",
    "evalDatasetName",
    "userId",
    "userName",
    "numTrials",
    "numConcurrentTrials",
    "optimizationObjectives",
    "playgroundId",
    "tempPlaygroundId",
    "paretoFront",
    "datetimeStart",
    "datetimeEnd",
    "studyStatus",
    "searchStudyId",
    "name",
    "jobId",
    "trialsRunning",
    "trialsFailed",
    "trialsSuccess",
    "allTrials",
    "existingBlueprintIds",
    "evalResults",
    "errorMessage"
  ],
  "title": "SearchStudyResponse",
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Search study has been successfully retrieved. SearchStudyResponse
422 Unprocessable Entity Validation Error HTTPValidationErrorResponse

Edit search study by search study ID

Operation path: PATCH /api/v2/genai/syftrSearch/{searchStudyId}/

Authentication requirements: BearerAuth

Edit an existing search study object.

Body parameter

{
  "description": "The body of the \"Edit search study\" request.",
  "properties": {
    "name": {
      "description": "The new name of the search study.",
      "maxLength": 5000,
      "minLength": 1,
      "title": "name",
      "type": "string"
    }
  },
  "required": [
    "name"
  ],
  "title": "EditSearchStudyRequest",
  "type": "object"
}

Parameters

Name In Type Required Description
searchStudyId path string true The ID of the search study to be edited.
body body EditSearchStudyRequest true none

Example responses

200 Response

{}

Responses

Status Meaning Description Schema
200 OK Successful Response Inline
422 Unprocessable Entity Validation Error HTTPValidationErrorResponse

Response Schema

Schemas

AgentChatCompletionRequest

{
  "additionalProperties": true,
  "description": "Represents a chat completion request for an agent.",
  "properties": {
    "customModelVersionId": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The version ID of the custom model to use for the chat completion.",
      "title": "customModelVersionId"
    },
    "messages": {
      "description": "A list of messages comprising the conversation so far.",
      "items": {
        "additionalProperties": true,
        "description": "Represents a message in a chat conversation.",
        "properties": {
          "content": {
            "anyOf": [
              {
                "maxLength": 50000,
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "The contents of the message.",
            "title": "content"
          },
          "role": {
            "description": "The role of the author of this message.",
            "title": "role",
            "type": "string"
          }
        },
        "required": [
          "role"
        ],
        "title": "AgentMessage",
        "type": "object"
      },
      "title": "messages",
      "type": "array"
    },
    "model": {
      "anyOf": [
        {
          "maxLength": 5000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The model identifier to use for completion following OpenAI API notation.",
      "title": "model"
    },
    "tracingContext": {
      "anyOf": [
        {
          "description": "Represents a custom tracing context for a chat completion request.",
          "properties": {
            "attributes": {
              "anyOf": [
                {
                  "additionalProperties": {
                    "type": "string"
                  },
                  "type": "object"
                },
                {
                  "type": "null"
                }
              ],
              "description": "The attributes of the tracing context.",
              "title": "attributes"
            },
            "entityId": {
              "description": "The ID of the entity in context of which the agent request is performed. Should be an entity which user has access to.",
              "title": "entityId",
              "type": "string"
            },
            "entityType": {
              "description": "Type of an entity in context of which the agent request is performed.",
              "enum": [
                "deployment",
                "use_case"
              ],
              "title": "TracingContextEntityType",
              "type": "string"
            }
          },
          "required": [
            "entityId",
            "entityType",
            "attributes"
          ],
          "title": "AgentTracingContext",
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "description": "Optional tracing context for the chat completion request."
    }
  },
  "required": [
    "messages"
  ],
  "title": "AgentChatCompletionRequest",
  "type": "object"
}

AgentChatCompletionRequest

Properties

Name Type Required Restrictions Description
customModelVersionId any false The version ID of the custom model to use for the chat completion.

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
messages [AgentMessage] true A list of messages comprising the conversation so far.
model any false The model identifier to use for completion following OpenAI API notation.

anyOf

Name Type Required Restrictions Description
» anonymous string false maxLength: 5000
none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
tracingContext any false Optional tracing context for the chat completion request.

anyOf

Name Type Required Restrictions Description
» anonymous AgentTracingContext false Represents a custom tracing context for a chat completion request.

or

Name Type Required Restrictions Description
» anonymous null false none

AgentChatCompletionResponse

{
  "additionalProperties": true,
  "description": "Chat completion response from an agent.",
  "properties": {
    "choices": {
      "anyOf": [
        {
          "items": {
            "additionalProperties": true,
            "description": "Represents a single choice in the chat completion response.",
            "properties": {
              "message": {
                "additionalProperties": true,
                "description": "Represents a message in a chat conversation.",
                "properties": {
                  "content": {
                    "anyOf": [
                      {
                        "maxLength": 50000,
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ],
                    "description": "The contents of the message.",
                    "title": "content"
                  },
                  "role": {
                    "description": "The role of the author of this message.",
                    "title": "role",
                    "type": "string"
                  }
                },
                "required": [
                  "role"
                ],
                "title": "AgentMessage",
                "type": "object"
              }
            },
            "required": [
              "message"
            ],
            "title": "AgentChoice",
            "type": "object"
          },
          "type": "array"
        },
        {
          "type": "null"
        }
      ],
      "description": "A list of agent choices. Can be more than one. None when failed.",
      "title": "choices"
    },
    "errorDetails": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "Detailed error information if the chat completion failed.",
      "title": "errorDetails"
    },
    "errorMessage": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "Error message if the chat completion failed.",
      "title": "errorMessage"
    }
  },
  "title": "AgentChatCompletionResponse",
  "type": "object"
}

AgentChatCompletionResponse

Properties

Name Type Required Restrictions Description
choices any false A list of agent choices. Can be more than one. None when failed.

anyOf

Name Type Required Restrictions Description
» anonymous [AgentChoice] false [Represents a single choice in the chat completion response.]

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
errorDetails any false Detailed error information if the chat completion failed.

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
errorMessage any false Error message if the chat completion failed.

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

AgentChoice

{
  "additionalProperties": true,
  "description": "Represents a single choice in the chat completion response.",
  "properties": {
    "message": {
      "additionalProperties": true,
      "description": "Represents a message in a chat conversation.",
      "properties": {
        "content": {
          "anyOf": [
            {
              "maxLength": 50000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ],
          "description": "The contents of the message.",
          "title": "content"
        },
        "role": {
          "description": "The role of the author of this message.",
          "title": "role",
          "type": "string"
        }
      },
      "required": [
        "role"
      ],
      "title": "AgentMessage",
      "type": "object"
    }
  },
  "required": [
    "message"
  ],
  "title": "AgentChoice",
  "type": "object"
}

AgentChoice

Properties

Name Type Required Restrictions Description
message AgentMessage true The message content of the choice.

AgentMessage

{
  "additionalProperties": true,
  "description": "Represents a message in a chat conversation.",
  "properties": {
    "content": {
      "anyOf": [
        {
          "maxLength": 50000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The contents of the message.",
      "title": "content"
    },
    "role": {
      "description": "The role of the author of this message.",
      "title": "role",
      "type": "string"
    }
  },
  "required": [
    "role"
  ],
  "title": "AgentMessage",
  "type": "object"
}

AgentMessage

Properties

Name Type Required Restrictions Description
content any false The contents of the message.

anyOf

Name Type Required Restrictions Description
» anonymous string false maxLength: 50000
none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
role string true The role of the author of this message.

AgentTracingContext

{
  "description": "Represents a custom tracing context for a chat completion request.",
  "properties": {
    "attributes": {
      "anyOf": [
        {
          "additionalProperties": {
            "type": "string"
          },
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "description": "The attributes of the tracing context.",
      "title": "attributes"
    },
    "entityId": {
      "description": "The ID of the entity in context of which the agent request is performed. Should be an entity which user has access to.",
      "title": "entityId",
      "type": "string"
    },
    "entityType": {
      "description": "Type of an entity in context of which the agent request is performed.",
      "enum": [
        "deployment",
        "use_case"
      ],
      "title": "TracingContextEntityType",
      "type": "string"
    }
  },
  "required": [
    "entityId",
    "entityType",
    "attributes"
  ],
  "title": "AgentTracingContext",
  "type": "object"
}

AgentTracingContext

Properties

Name Type Required Restrictions Description
attributes any true The attributes of the tracing context.

anyOf

Name Type Required Restrictions Description
» anonymous object false none
»» additionalProperties string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
entityId string true The ID of the entity in context of which the agent request is performed. Should be an entity which user has access to.
entityType TracingContextEntityType true The type of an entity in context of which the agent request is performed. Should be an entity which user has access to.

ChunkingParametersConfig

{
  "description": "Parameters of the text chunkers.",
  "properties": {
    "chunkOverlapPercentageMax": {
      "default": 50,
      "description": "Maximum value of chunk overlap.",
      "title": "chunkOverlapPercentageMax",
      "type": "number"
    },
    "chunkOverlapPercentageMin": {
      "default": 0,
      "description": "Minimum value of chunk overlap.",
      "title": "chunkOverlapPercentageMin",
      "type": "number"
    },
    "chunkOverlapPercentageStep": {
      "default": 10,
      "description": "Step value of chunk overlap.",
      "title": "chunkOverlapPercentageStep",
      "type": "number"
    },
    "chunkSizeMaxExp": {
      "default": 8,
      "description": "Maximum exponent for chunk size (2^8 = 256).",
      "title": "chunkSizeMaxExp",
      "type": "integer"
    },
    "chunkSizeMinExp": {
      "default": 7,
      "description": "Minimum exponent for chunk size (2^7 = 128).",
      "title": "chunkSizeMinExp",
      "type": "integer"
    },
    "chunkingMethods": {
      "description": "List of chunking methods to use.",
      "items": {
        "type": "string"
      },
      "title": "chunkingMethods",
      "type": "array"
    },
    "embeddingModelNames": {
      "description": "List of embedding models to use.",
      "items": {
        "type": "string"
      },
      "title": "embeddingModelNames",
      "type": "array"
    }
  },
  "required": [
    "embeddingModelNames"
  ],
  "title": "ChunkingParametersConfig",
  "type": "object"
}

ChunkingParametersConfig

Properties

Name Type Required Restrictions Description
chunkOverlapPercentageMax number false Maximum value of chunk overlap.
chunkOverlapPercentageMin number false Minimum value of chunk overlap.
chunkOverlapPercentageStep number false Step value of chunk overlap.
chunkSizeMaxExp integer false Maximum exponent for chunk size (2^8 = 256).
chunkSizeMinExp integer false Minimum exponent for chunk size (2^7 = 128).
chunkingMethods [string] false List of chunking methods to use.
embeddingModelNames [string] true List of embedding models to use.

DeleteSearchApiResponse

{
  "description": "API response for the deletion of a search study.",
  "properties": {
    "jobId": {
      "description": "The ID of the worker job.",
      "format": "uuid4",
      "title": "jobId",
      "type": "string"
    },
    "searchStudyId": {
      "description": "The ID of the search study.",
      "title": "searchStudyId",
      "type": "string"
    }
  },
  "required": [
    "searchStudyId",
    "jobId"
  ],
  "title": "DeleteSearchApiResponse",
  "type": "object"
}

DeleteSearchApiResponse

Properties

Name Type Required Restrictions Description
jobId string(uuid4) true The ID of the worker job.
searchStudyId string true The ID of the search study.

EditSearchStudyRequest

{
  "description": "The body of the \"Edit search study\" request.",
  "properties": {
    "name": {
      "description": "The new name of the search study.",
      "maxLength": 5000,
      "minLength": 1,
      "title": "name",
      "type": "string"
    }
  },
  "required": [
    "name"
  ],
  "title": "EditSearchStudyRequest",
  "type": "object"
}

EditSearchStudyRequest

Properties

Name Type Required Restrictions Description
name string true maxLength: 5000
minLength: 1
minLength: 1
The new name of the search study.

HTTPValidationErrorResponse

{
  "properties": {
    "detail": {
      "items": {
        "properties": {
          "loc": {
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            },
            "title": "loc",
            "type": "array"
          },
          "msg": {
            "title": "msg",
            "type": "string"
          },
          "type": {
            "title": "type",
            "type": "string"
          }
        },
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "title": "ValidationError",
        "type": "object"
      },
      "title": "detail",
      "type": "array"
    }
  },
  "title": "HTTPValidationErrorResponse",
  "type": "object"
}

HTTPValidationErrorResponse

Properties

Name Type Required Restrictions Description
detail [ValidationError] false none

HistoryPoint

{
  "description": "Represents a search trial from history.",
  "properties": {
    "llmBlueprintId": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The correspondent blueprint ID.",
      "title": "llmBlueprintId"
    },
    "searchParameters": {
      "additionalProperties": true,
      "description": "Search parameters of the point.",
      "title": "searchParameters",
      "type": "object"
    },
    "values": {
      "description": "The resulting values of optimization objectives.",
      "items": {
        "type": "number"
      },
      "title": "values",
      "type": "array"
    },
    "vectorDatabaseId": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The correspondent vector database ID.",
      "title": "vectorDatabaseId"
    }
  },
  "required": [
    "llmBlueprintId",
    "vectorDatabaseId",
    "values",
    "searchParameters"
  ],
  "title": "HistoryPoint",
  "type": "object"
}

HistoryPoint

Properties

Name Type Required Restrictions Description
llmBlueprintId any true The correspondent blueprint ID.

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
searchParameters object true Search parameters of the point.
values [number] true The resulting values of optimization objectives.
vectorDatabaseId any true The correspondent vector database ID.

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

JobStatus

{
  "description": "Represents a search study execution state.",
  "enum": [
    "RUNNING",
    "COMPLETED",
    "STOPPED",
    "FAILED"
  ],
  "title": "JobStatus",
  "type": "string"
}

JobStatus

Properties

Name Type Required Restrictions Description
JobStatus string false Represents a search study execution state.

Enumerated Values

Property Value
JobStatus [RUNNING, COMPLETED, STOPPED, FAILED]

LLMConfig

{
  "description": "Configuration of LLMs in the search space.",
  "properties": {
    "llmNames": {
      "description": "List of LLM names to use.",
      "items": {
        "type": "string"
      },
      "title": "llmNames",
      "type": "array"
    },
    "temperatureMax": {
      "default": 1,
      "description": "Maximum temperature of an LLM.",
      "title": "temperatureMax",
      "type": "number"
    },
    "temperatureMin": {
      "default": 0,
      "description": "Minimum temperature of an LLM.",
      "title": "temperatureMin",
      "type": "number"
    },
    "temperatureStep": {
      "default": 0.05,
      "description": "Step size for LLM temperature.",
      "title": "temperatureStep",
      "type": "number"
    },
    "topPMax": {
      "default": 1,
      "description": "Maximum top_p of an LLM.",
      "title": "topPMax",
      "type": "number"
    },
    "topPMin": {
      "default": 0,
      "description": "Minimum top_p of an LLM.",
      "title": "topPMin",
      "type": "number"
    },
    "topPStep": {
      "default": 0.05,
      "description": "Step size for LLM top_p.",
      "title": "topPStep",
      "type": "number"
    }
  },
  "required": [
    "llmNames"
  ],
  "title": "LLMConfig",
  "type": "object"
}

LLMConfig

Properties

Name Type Required Restrictions Description
llmNames [string] true List of LLM names to use.
temperatureMax number false Maximum temperature of an LLM.
temperatureMin number false Minimum temperature of an LLM.
temperatureStep number false Step size for LLM temperature.
topPMax number false Maximum top_p of an LLM.
topPMin number false Minimum top_p of an LLM.
topPStep number false Step size for LLM top_p.

ListSearchStudyResponse

{
  "description": "Paginated list of search studies.",
  "properties": {
    "count": {
      "description": "The number of records on this page.",
      "title": "count",
      "type": "integer"
    },
    "data": {
      "description": "The list of records.",
      "items": {
        "description": "API response object for search study retrieval.",
        "properties": {
          "allTrials": {
            "anyOf": [
              {
                "items": {
                  "description": "Represents a search trial from history.",
                  "properties": {
                    "llmBlueprintId": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ],
                      "description": "The correspondent blueprint ID.",
                      "title": "llmBlueprintId"
                    },
                    "searchParameters": {
                      "additionalProperties": true,
                      "description": "Search parameters of the point.",
                      "title": "searchParameters",
                      "type": "object"
                    },
                    "values": {
                      "description": "The resulting values of optimization objectives.",
                      "items": {
                        "type": "number"
                      },
                      "title": "values",
                      "type": "array"
                    },
                    "vectorDatabaseId": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ],
                      "description": "The correspondent vector database ID.",
                      "title": "vectorDatabaseId"
                    }
                  },
                  "required": [
                    "llmBlueprintId",
                    "vectorDatabaseId",
                    "values",
                    "searchParameters"
                  ],
                  "title": "HistoryPoint",
                  "type": "object"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "Trials history.",
            "title": "allTrials"
          },
          "datetimeEnd": {
            "anyOf": [
              {
                "format": "date-time",
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "Study end time.",
            "title": "datetimeEnd"
          },
          "datetimeStart": {
            "description": "Study start time.",
            "format": "date-time",
            "title": "datetimeStart",
            "type": "string"
          },
          "errorMessage": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "Error message if search study fails.",
            "title": "errorMessage"
          },
          "evalDatasetId": {
            "description": "The ID of the evaluation dataset.",
            "title": "evalDatasetId",
            "type": "string"
          },
          "evalDatasetName": {
            "description": "The name of evaluation dataset.",
            "title": "evalDatasetName",
            "type": "string"
          },
          "evalResults": {
            "anyOf": [
              {
                "items": {},
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "The results of the comparative evaluation of LLM blueprints.",
            "title": "evalResults"
          },
          "existingBlueprintIds": {
            "anyOf": [
              {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "The IDs of existing LLM blueprints for comparative evaluation.",
            "title": "existingBlueprintIds"
          },
          "groundingDatasetId": {
            "description": "The ID of the dataset the vector databases will be built from.",
            "title": "groundingDatasetId",
            "type": "string"
          },
          "groundingDatasetName": {
            "description": "The name of the grouding dataset.",
            "title": "groundingDatasetName",
            "type": "string"
          },
          "jobId": {
            "anyOf": [
              {
                "format": "uuid4",
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "The ID of the worker job.",
            "title": "jobId"
          },
          "name": {
            "description": "Name of the search study.",
            "title": "name",
            "type": "string"
          },
          "numConcurrentTrials": {
            "description": "The number of simultaneously running trials.",
            "title": "numConcurrentTrials",
            "type": "integer"
          },
          "numTrials": {
            "description": "The number of search trials to sample.",
            "title": "numTrials",
            "type": "integer"
          },
          "optimizationObjectives": {
            "description": "Optimization objectives of a study.",
            "items": {
              "maxItems": 2,
              "minItems": 2,
              "prefixItems": [
                {
                  "description": "List of supported search objectives.",
                  "enum": [
                    "correctness",
                    "all_tokens"
                  ],
                  "title": "SearchObjective",
                  "type": "string"
                },
                {
                  "description": "Whether to minimize or maximize search objective.",
                  "enum": [
                    "maximize",
                    "minimize"
                  ],
                  "title": "SearchDirection",
                  "type": "string"
                }
              ],
              "type": "array"
            },
            "title": "optimizationObjectives",
            "type": "array"
          },
          "paretoFront": {
            "anyOf": [
              {
                "items": {},
                "type": "array"
              },
              {
                "type": "null"
              }
            ],
            "description": "Pareto frontier of a study.",
            "title": "paretoFront"
          },
          "playgroundId": {
            "description": "The ID of the existing playground that will be associated with the search.",
            "title": "playgroundId",
            "type": "string"
          },
          "searchSpace": {
            "anyOf": [
              {
                "description": "Represents full search space.",
                "properties": {
                  "chunkingParameters": {
                    "description": "Parameters of the text chunkers.",
                    "properties": {
                      "chunkOverlapPercentageMax": {
                        "default": 50,
                        "description": "Maximum value of chunk overlap.",
                        "title": "chunkOverlapPercentageMax",
                        "type": "number"
                      },
                      "chunkOverlapPercentageMin": {
                        "default": 0,
                        "description": "Minimum value of chunk overlap.",
                        "title": "chunkOverlapPercentageMin",
                        "type": "number"
                      },
                      "chunkOverlapPercentageStep": {
                        "default": 10,
                        "description": "Step value of chunk overlap.",
                        "title": "chunkOverlapPercentageStep",
                        "type": "number"
                      },
                      "chunkSizeMaxExp": {
                        "default": 8,
                        "description": "Maximum exponent for chunk size (2^8 = 256).",
                        "title": "chunkSizeMaxExp",
                        "type": "integer"
                      },
                      "chunkSizeMinExp": {
                        "default": 7,
                        "description": "Minimum exponent for chunk size (2^7 = 128).",
                        "title": "chunkSizeMinExp",
                        "type": "integer"
                      },
                      "chunkingMethods": {
                        "description": "List of chunking methods to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "chunkingMethods",
                        "type": "array"
                      },
                      "embeddingModelNames": {
                        "description": "List of embedding models to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "embeddingModelNames",
                        "type": "array"
                      }
                    },
                    "required": [
                      "embeddingModelNames"
                    ],
                    "title": "ChunkingParametersConfig",
                    "type": "object"
                  },
                  "llmConfig": {
                    "description": "Configuration of LLMs in the search space.",
                    "properties": {
                      "llmNames": {
                        "description": "List of LLM names to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "llmNames",
                        "type": "array"
                      },
                      "temperatureMax": {
                        "default": 1,
                        "description": "Maximum temperature of an LLM.",
                        "title": "temperatureMax",
                        "type": "number"
                      },
                      "temperatureMin": {
                        "default": 0,
                        "description": "Minimum temperature of an LLM.",
                        "title": "temperatureMin",
                        "type": "number"
                      },
                      "temperatureStep": {
                        "default": 0.05,
                        "description": "Step size for LLM temperature.",
                        "title": "temperatureStep",
                        "type": "number"
                      },
                      "topPMax": {
                        "default": 1,
                        "description": "Maximum top_p of an LLM.",
                        "title": "topPMax",
                        "type": "number"
                      },
                      "topPMin": {
                        "default": 0,
                        "description": "Minimum top_p of an LLM.",
                        "title": "topPMin",
                        "type": "number"
                      },
                      "topPStep": {
                        "default": 0.05,
                        "description": "Step size for LLM top_p.",
                        "title": "topPStep",
                        "type": "number"
                      }
                    },
                    "required": [
                      "llmNames"
                    ],
                    "title": "LLMConfig",
                    "type": "object"
                  },
                  "vectorDatabaseSettings": {
                    "description": "Settings of the vector database.",
                    "properties": {
                      "addNeighborChunks": {
                        "description": "Add neighboring chunks to those that the similarity search retrieves.",
                        "items": {
                          "type": "boolean"
                        },
                        "title": "addNeighborChunks",
                        "type": "array"
                      },
                      "maxDocumentRetrievedPerPromptMax": {
                        "default": 10,
                        "description": "Max value for the max number of chunks to retrieve from the vector database.",
                        "title": "maxDocumentRetrievedPerPromptMax",
                        "type": "integer"
                      },
                      "maxDocumentRetrievedPerPromptMin": {
                        "default": 1,
                        "description": "Min value for the max number of chunks to retrieve from the vector database.",
                        "title": "maxDocumentRetrievedPerPromptMin",
                        "type": "integer"
                      },
                      "maxDocumentRetrievedPerPromptStep": {
                        "default": 1,
                        "description": "Step for the max number of chunks to retrieve from the vector database.",
                        "title": "maxDocumentRetrievedPerPromptStep",
                        "type": "integer"
                      },
                      "maxMmrLambdaMax": {
                        "default": 1,
                        "description": "Maximum value of MMR lambda.",
                        "title": "maxMmrLambdaMax",
                        "type": "number"
                      },
                      "maxMmrLambdaMin": {
                        "default": 0,
                        "description": "Minimum value of MMR lambda.",
                        "title": "maxMmrLambdaMin",
                        "type": "number"
                      },
                      "maxMmrLambdaStep": {
                        "default": 0.1,
                        "description": "Step value of MMR lambda.",
                        "title": "maxMmrLambdaStep",
                        "type": "number"
                      },
                      "retrievalModes": {
                        "description": "List of retriever modes to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "retrievalModes",
                        "type": "array"
                      },
                      "retrievers": {
                        "description": "List of retriever types to use.",
                        "items": {
                          "type": "string"
                        },
                        "title": "retrievers",
                        "type": "array"
                      }
                    },
                    "required": [
                      "retrievers",
                      "retrievalModes"
                    ],
                    "title": "VectorDatabaseConfig",
                    "type": "object"
                  }
                },
                "title": "SearchSpace",
                "type": "object"
              },
              {
                "type": "null"
              }
            ],
            "description": "Search space for the search."
          },
          "searchStudyId": {
            "description": "The ID of the search study.",
            "title": "searchStudyId",
            "type": "string"
          },
          "studyStatus": {
            "description": "Represents a search study execution state.",
            "enum": [
              "RUNNING",
              "COMPLETED",
              "STOPPED",
              "FAILED"
            ],
            "title": "JobStatus",
            "type": "string"
          },
          "tempPlaygroundId": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "description": "The ID of the temp playground.",
            "title": "tempPlaygroundId"
          },
          "trialsFailed": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "description": "The number of failed trials.",
            "title": "trialsFailed"
          },
          "trialsRunning": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "description": "The number of currently running trials.",
            "title": "trialsRunning"
          },
          "trialsSuccess": {
            "anyOf": [
              {
                "type": "integer"
              },
              {
                "type": "null"
              }
            ],
            "description": "The number of completed trials.",
            "title": "trialsSuccess"
          },
          "useCaseId": {
            "description": "The ID of the use case the search study is linked to.",
            "title": "useCaseId",
            "type": "string"
          },
          "userId": {
            "description": "The ID of the user.",
            "title": "userId",
            "type": "string"
          },
          "userName": {
            "description": "The user name of the user who ran the study.",
            "title": "userName",
            "type": "string"
          }
        },
        "required": [
          "searchSpace",
          "useCaseId",
          "groundingDatasetId",
          "evalDatasetId",
          "groundingDatasetName",
          "evalDatasetName",
          "userId",
          "userName",
          "numTrials",
          "numConcurrentTrials",
          "optimizationObjectives",
          "playgroundId",
          "tempPlaygroundId",
          "paretoFront",
          "datetimeStart",
          "datetimeEnd",
          "studyStatus",
          "searchStudyId",
          "name",
          "jobId",
          "trialsRunning",
          "trialsFailed",
          "trialsSuccess",
          "allTrials",
          "existingBlueprintIds",
          "evalResults",
          "errorMessage"
        ],
        "title": "SearchStudyResponse",
        "type": "object"
      },
      "title": "data",
      "type": "array"
    },
    "next": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The URL to the next page, or `null` if there is no such page.",
      "title": "next"
    },
    "previous": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ],
      "description": "The URL to the previous page, or `null` if there is no such page.",
      "title": "previous"
    },
    "totalCount": {
      "description": "The total number of records.",
      "title": "totalCount",
      "type": "integer"
    }
  },
  "required": [
    "totalCount",
    "count",
    "next",
    "previous",
    "data"
  ],
  "title": "ListSearchStudyResponse",
  "type": "object"
}

ListSearchStudyResponse

Properties

Name Type Required Restrictions Description
count integer true The number of records on this page.
data [SearchStudyResponse] true The list of records.
next any true The URL to the next page, or null if there is no such page.

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
previous any true The URL to the previous page, or null if there is no such page.

anyOf

Name Type Required Restrictions Description
» anonymous string false none

or

Name Type Required Restrictions Description
» anonymous null false none

continued

Name Type Required Restrictions Description
totalCount integer true The total number of records.

ListSearchStudySortQueryParam

{
  "description": "API object for Sort order values for listiing search studies.",
  "enum": [
    "name",
    "-name"
  ],
  "title": "ListSearchStudySortQueryParam",
  "type": "string"
}

ListSearchStudySortQueryParam

Properties

Name Type Required Restrictions Description
ListSearchStudySortQueryParam string false API object for Sort order values for listiing search studies.

Enumerated Values

Property Value
ListSearchStudySortQueryParam [name, -name]

RunAgenticSearchRequest

{
  "description": "API request for run agentic search request.",
  "properties": {
    "evalDatasetId": {
      "description": "The ID of the evaluation dataset.",
      "title": "evalDatasetId",
      "type": "string"
    },
    "groundingDatasetId": {
      "description": "The ID of the dataset the vector databases will be built from.",
      "title": "groundingDatasetId",
      "type": "string"
    },
    "name": {
      "description": "Name of the search study.",
      "title": "name",
      "type": "string"
    },
    "numConcurrentTrials": {
      "description": "The number of simultaneously running trials.",
      "title": "numConcurrentTrials",
      "type": "integer"
    },
    "numTrials": {
      "description": "The number of search trials to sample.",
      "title": "numTrials",
      "type": "integer"
    },
    "optimizationObjectives": {
      "description": "Optimization objectives of a study.",
      "items": {
        "maxItems": 2,
        "minItems": 2,
        "prefixItems": [
          {
            "description": "List of supported search objectives.",
            "enum": [
              "correctness",
              "all_tokens"
            ],
            "title": "SearchObjective",
            "type": "string"
          },
          {
            "description": "Whether to minimize or maximize search objective.",
            "enum": [
              "maximize",
              "minimize"
            ],
            "title": "SearchDirection",
            "type": "string"
          }
        ],
        "type": "array"
      },
      "title": "optimizationObjectives",
      "type": "array"
    },
    "playgroundId": {
      "description": "The ID of the existing playground that will be associated with the search.",
      "title": "playgroundId",
      "type": "string"
    },
    "searchSpace": {
      "description": "Represents full search space.",
      "properties": {
        "chunkingParameters": {
          "description": "Parameters of the text chunkers.",
          "properties": {
            "chunkOverlapPercentageMax": {
              "default": 50,
              "description": "Maximum value of chunk overlap.",
              "title": "chunkOverlapPercentageMax",
              "type": "number"
            },
            "chunkOverlapPercentageMin": {
              "default": 0,
              "description": "Minimum value of chunk overlap.",
              "title": "chunkOverlapPercentageMin",
              "type": "number"
            },
            "chunkOverlapPercentageStep": {
              "default": 10,
              "description": "Step value of chunk overlap.",
              "title": "chunkOverlapPercentageStep",
              "type": "number"
            },
            "chunkSizeMaxExp": {
              "default": 8,
              "description": "Maximum exponent for chunk size (2^8 = 256).",
              "title": "chunkSizeMaxExp",
              "type": "integer"
            },
            "chunkSizeMinExp": {
              "default": 7,
              "description": "Minimum exponent for chunk size (2^7 = 128).",
              "title": "chunkSizeMinExp",
              "type": "integer"
            },
            "chunkingMethods": {
              "description": "List of chunking methods to use.",
              "items": {
                "type": "string"
              },
              "title": "chunkingMethods",
              "type": "array"
            },
            "embeddingModelNames": {
              "description": "List of embedding models to use.",
              "items": {
                "type": "string"
              },
              "title": "embeddingModelNames",
              "type": "array"
[...]
